## ros-collada-urdf 1.12.12

=== collada_parser/CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)
project(collada_parser)

find_package(Boost REQUIRED system)

find_package(catkin REQUIRED COMPONENTS class_loader rosconsole urdf urdf_parser_plugin)
find_package(urdfdom_headers REQUIRED)

add_compile_options(-std=c++11)

include_directories(include ${Boost_INCLUDE_DIR} ${catkin_INCLUDE_DIRS} ${urdfdom_headers_INCLUDE_DIRS})

set(CMAKE_MODULE_PATH  ${PROJECT_SOURCE_DIR}/cmake-extensions/)
find_package(PkgConfig)
find_package(COLLADA_DOM 2.4 REQUIRED COMPONENTS 1.5)
if(COLLADA_DOM_FOUND)
  include_directories(${COLLADA_DOM_INCLUDE_DIRS})
  link_directories(${COLLADA_DOM_LIBRARY_DIRS})
endif()

catkin_package(
  LIBRARIES ${PROJECT_NAME}
  INCLUDE_DIRS include
  CATKIN_DEPENDS class_loader rosconsole urdf urdf_parser_plugin
  DEPENDS COLLADA_DOM
)

# necessary for collada reader to create the temporary dae files due
# to limitations in the URDF geometry
include (CheckFunctionExists)
check_function_exists(mkstemps HAVE_MKSTEMPS)
if(HAVE_MKSTEMPS)
  add_definitions("-DHAVE_MKSTEMPS")
endif()

# build the parser lib
add_library(${PROJECT_NAME} src/collada_parser.cpp)
target_link_libraries(${PROJECT_NAME}
  ${COLLADA_DOM_LIBRARIES} ${Boost_LIBRARIES} ${catkin_LIBRARIES}
)

# build the plugin for the parser
add_library(${PROJECT_NAME}_plugin src/collada_parser_plugin.cpp)
target_link_libraries(${PROJECT_NAME}_plugin
  ${PROJECT_NAME} ${Boost_LIBRARIES} ${catkin_LIBRARIES}
)

set_target_properties(${PROJECT_NAME}
  PROPERTIES COMPILER_FLAGS "${COLLADA_DOM_CFLAGS_OTHER}"
)
if(APPLE)
  set_target_properties(${PROJECT_NAME}
    PROPERTIES LINK_FLAGS
    "${COLLADA_DOM_LDFLAGS_OTHER} -undefined dynamic_lookup"
  )
else()
  set_target_properties(${PROJECT_NAME}
    PROPERTIES LINK_FLAGS "${COLLADA_DOM_LDFLAGS_OTHER}"
  )
endif()

install(TARGETS ${PROJECT_NAME} ${PROJECT_NAME}_plugin
  DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION})

install(DIRECTORY include/${PROJECT_NAME}/
  DESTINATION ${CATKIN_PACKAGE_INCLUDE_DESTINATION})

install(FILES collada_parser_plugin_description.xml
  DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION})

=== collada_urdf/CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.12)
project(collada_urdf)

find_package(catkin REQUIRED COMPONENTS angles cmake_modules collada_parser geometric_shapes resource_retriever rosconsole urdf)

find_package(urdfdom_headers REQUIRED)

include(CheckCXXCompilerFlag)
check_cxx_compiler_flag(-std=c++11 HAS_STD_CPP11_FLAG)
if(HAS_STD_CPP11_FLAG)
  add_compile_options(-std=c++11)
endif()

include_directories(include)

find_package(assimp QUIET)
if ( NOT ASSIMP_FOUND )
  find_package(Assimp QUIET)
  if ( NOT ASSIMP_FOUND )
    find_package(PkgConfig REQUIRED)
    pkg_check_modules(ASSIMP assimp)
  endif()
endif()
if( ASSIMP_FOUND )
  if( NOT ${ASSIMP_VERSION} VERSION_LESS "2.0.1150" )
    add_definitions(-DASSIMP_UNIFIED_HEADER_NAMES)
  endif()
  if( NOT ${ASSIMP_VERSION} VERSION_LESS "2.0.885" )
    add_definitions(-DASSIMP_EXPORT_API)
  endif()
  include_directories(${ASSIMP_INCLUDE_DIRS})
  link_directories(${ASSIMP_LIBRARY_DIRS})
else()
  message(STATUS "could not find assimp (perhaps available thorugh ROS package?), so assuming assimp v2")
  set(ASSIMP_LIBRARIES assimp)
  set(ASSIMP_LIBRARY_DIRS)
  set(ASSIMP_CXX_FLAGS)
  set(ASSIMP_CFLAGS_OTHER)
  set(ASSIMP_LINK_FLAGS)
  set(ASSIMP_INCLUDE_DIRS)
endif()

# Note: assimp 3.1 overwrites CMake Boost variables, so we need to check for
# Boost after assimp.
find_package(Boost REQUIRED COMPONENTS system filesystem program_options)
include_directories(${Boost_INCLUDE_DIR})

find_package(Eigen3 REQUIRED)

find_package(COLLADA_DOM 2.3 COMPONENTS 1.5)
if( COLLADA_DOM_FOUND )
  include_directories(${COLLADA_DOM_INCLUDE_DIRS})
  link_directories(${COLLADA_DOM_LIBRARY_DIRS})
endif()

catkin_package(
  LIBRARIES ${PROJECT_NAME}
  INCLUDE_DIRS include
  CATKIN_DEPENDS collada_parser geometric_shapes resource_retriever rosconsole urdf
  DEPENDS ASSIMP COLLADA_DOM urdfdom_headers
)

include_directories(${catkin_INCLUDE_DIRS} ${EIGEN3_INCLUDE_DIRS})
link_directories(${catkin_LIBRARY_DIRS})

add_library(${PROJECT_NAME} src/collada_urdf.cpp)
target_link_libraries(${PROJECT_NAME} ${catkin_LIBRARIES} ${COLLADA_DOM_LIBRARIES}
  ${Boost_LIBRARIES} ${ASSIMP_LIBRARIES})
set_target_properties(${PROJECT_NAME} PROPERTIES COMPILER_FLAGS "${ASSIMP_CXX_FLAGS} ${ASSIMP_CFLAGS_OTHER}")
set_target_properties(${PROJECT_NAME} PROPERTIES LINK_FLAGS "${ASSIMP_LINK_FLAGS}")

add_executable(urdf_to_collada src/urdf_to_collada.cpp)
target_link_libraries(urdf_to_collada ${catkin_LIBRARIES} ${COLLADA_DOM_LIBRARIES}
  ${Boost_LIBRARIES} ${PROJECT_NAME})

add_executable(collada_to_urdf src/collada_to_urdf.cpp)
target_link_libraries(collada_to_urdf ${ASSIMP_LIBRARIES} ${catkin_LIBRARIES} ${COLLADA_DOM_LIBRARIES} ${Boost_LIBRARIES})
set_target_properties(collada_to_urdf PROPERTIES COMPILER_FLAGS "${ASSIMP_CXX_FLAGS} ${ASSIMP_CFLAGS_OTHER}")
set_target_properties(collada_to_urdf PROPERTIES LINK_FLAGS "${ASSIMP_LINK_FLAGS}")

if(CATKIN_ENABLE_TESTING)
  catkin_add_gtest(test_collada_urdf test/test_collada_urdf.cpp WORKING_DIRECTORY ${PROJECT_SOURCE_DIR}/test)
  target_link_libraries(test_collada_urdf ${PROJECT_NAME} ${catkin_LIBRARIES} ${COLLADA_DOM_LIBRARIES}
    ${Boost_LIBRARIES})
endif()

install(TARGETS ${PROJECT_NAME} urdf_to_collada collada_to_urdf
  LIBRARY DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
  RUNTIME DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION})

install(DIRECTORY include/${PROJECT_NAME}/
  DESTINATION ${CATKIN_PACKAGE_INCLUDE_DESTINATION})

=== debian/changelog ===
ros-collada-urdf (1.12.12-2build3) focal; urgency=medium

  * No change rebuild against new boost1.71 ABI

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Thu, 06 Feb 2020 11:02:35 +0000

ros-collada-urdf (1.12.12-2build2) focal; urgency=medium

  * No change rebuild against new boost1.71 ABI

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Sun, 02 Feb 2020 20:26:20 +0100

ros-collada-urdf (1.12.12-2build1) focal; urgency=medium

  * No-change upload for libassimp soname change.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 31 Jan 2020 15:10:55 +0100

ros-collada-urdf (1.12.12-2) unstable; urgency=medium

  * Source only upload

 -- Jochen Sprickerhof <jspricke@debian.org>  Sat, 09 Nov 2019 22:19:19 +0100

ros-collada-urdf (1.12.12-1) unstable; urgency=medium

  * Initial release, split from ros-robot-model (Closes: #903649).

 -- Leopold Palomo-Avellaneda <leo@alaxarxa.net>  Sun, 27 Oct 2019 09:46:01 +0100

=== debian/control ===
Source: ros-collada-urdf
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Johannes Schauer <josch@debian.org>,
           Jochen Sprickerhof <jspricke@debian.org>,
           Leopold Palomo-Avellaneda <leo@alaxarxa.net>
Build-Depends: debhelper-compat (= 12), catkin, ros-cmake-modules,
	         libtinyxml-dev, libassimp-dev, libcollada-dom2.4-dp-dev,
		 libclass-loader-dev,
		 librosconsole-dev,
		 liburdf-dev,
		 liburdf-parser-plugin-dev,
		 libangles-dev,
		 libgeometric-shapes-dev,
Standards-Version: 4.4.1
Section: libs
Rules-Requires-Root: no
Homepage: https://wiki.ros.org/collada_urdf
Vcs-Browser: https://salsa.debian.org/science-team/ros-collada-urdf
Vcs-Git: https://salsa.debian.org/science-team/ros-collada-urdf.git

Package: libcollada-parser-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: libcollada-parser1d (= ${binary:Version}), ${misc:Depends}, liburdf-parser-plugin-dev, libroscpp-dev, libclass-loader-dev, liburdfdom-headers-dev, libcollada-dom2.4-dp-dev
Description: Development files for ROS collada_parser library
 This package contains a C++ parser for the Collada robot description format.
 The parser reads a Collada XML robot description, and creates a C++ URDF
 model. Although it is possible to directly use this parser when working with
 Collada robot descriptions, the preferred user API is found in the urdf
 package.
 .
 This package contains the development files for the library.

Package: libcollada-parser1d
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Multi-Arch: same
Description: ROS collada_parser library
 This package contains a C++ parser for the Collada robot description format.
 The parser reads a Collada XML robot description, and creates a C++ URDF
 model. Although it is possible to directly use this parser when working with
 Collada robot descriptions, the preferred user API is found in the urdf
 package.
 .
 This package contains the library.

Package: libcollada-urdf-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: libcollada-urdf1d (= ${binary:Version}), ${misc:Depends}, libangles-dev, libcollada-parser-dev, libresource-retriever-dev, liburdf-dev, libgeometric-shapes-dev, libtf-dev, libassimp-dev, libcollada-dom2.4-dp-dev
Description: Development files for ROS collada_urdf library
 This package contains a tool to convert Unified Robot Description Format
 (URDF) documents into COLLAborative Design Activity (COLLADA) documents.
 .
 It implements robot-specific COLLADA extensions as defined by
 http://openrave.programmingvision.com/index.php/Started:COLLADA
 .
 This package contains the development files for the library.

Package: libcollada-urdf1d
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Multi-Arch: same
Description: ROS collada_urdf library
 This package contains a library to convert Unified Robot Description Format
 (URDF) documents into COLLAborative Design Activity (COLLADA) documents.
 .
 It implements robot-specific COLLADA extensions as defined by
 http://openrave.programmingvision.com/index.php/Started:COLLADA
 .
 This package contains the library.

Package: collada-urdf-tools
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: ROS collada_urdf tools
 This package contains tools to convert between Unified Robot Description
 Format (URDF) documents and COLLAborative Design Activity (COLLADA)
 documents.
 .
 It implements robot-specific COLLADA extensions as defined by
 http://openrave.programmingvision.com/index.php/Started:COLLADA
 .
 This package contains the tools.

=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%collada-urdf-$1.tar.gz%" \
    https://github.com/ros/collada_urdf/tags \
    (?:.*?/)?v?(\d[\d.]*)\.tar\.gz

## ros-collada-urdf 1.12.13

=== collada_parser/CMakeLists.txt ===
--- 
+++ 
@@ -1,4 +1,4 @@
-cmake_minimum_required(VERSION 2.8.3)
+cmake_minimum_required(VERSION 3.0.2)
 project(collada_parser)
 
 find_package(Boost REQUIRED system)

=== collada_urdf/CMakeLists.txt ===
--- 
+++ 
@@ -1,4 +1,4 @@
-cmake_minimum_required(VERSION 2.8.12)
+cmake_minimum_required(VERSION 3.0.2)
 project(collada_urdf)
 
 find_package(catkin REQUIRED COMPONENTS angles cmake_modules collada_parser geometric_shapes resource_retriever rosconsole urdf)

=== debian/changelog ===
ros-collada-urdf (1.12.13-8) unstable; urgency=medium

  * Drop nose dependency (Closes: #1018623)
  * Bump policy version (no changes)

 -- Jochen Sprickerhof <jspricke@debian.org>  Mon, 29 Aug 2022 14:36:18 +0200

ros-collada-urdf (1.12.13-7) unstable; urgency=medium

  * Added patch for log4cxx

 -- Leopold Palomo-Avellaneda <leo@alaxarxa.net>  Wed, 02 Feb 2022 11:28:54 +0100

ros-collada-urdf (1.12.13-6) unstable; urgency=medium

  * Enable tests

 -- Jochen Sprickerhof <jspricke@debian.org>  Wed, 27 Oct 2021 08:05:19 +0200

ros-collada-urdf (1.12.13-5) unstable; urgency=medium

  * Team upload.
  * Upload to unstable

 -- Timo Röhling <roehling@debian.org>  Wed, 22 Sep 2021 22:41:54 +0200

ros-collada-urdf (1.12.13-4) experimental; urgency=medium

  * Team upload.
  * Move pkg-config and CMake config files to /usr/lib/<triplet>
  * Bump Standards-Version to 4.6.0 (no changes)

 -- Timo Röhling <roehling@debian.org>  Mon, 20 Sep 2021 22:39:51 +0200

ros-collada-urdf (1.12.13-3) unstable; urgency=medium

  * Add Breaks+Replaces for old libcollada-parser-dev.
    Thanks to Andreas Beckmann (Closes: #977906)

 -- Jochen Sprickerhof <jspricke@debian.org>  Tue, 22 Dec 2020 18:51:02 +0100

ros-collada-urdf (1.12.13-2) unstable; urgency=medium

  * Fix package name in d/watch
  * simplify packaging

 -- Jochen Sprickerhof <jspricke@debian.org>  Sat, 19 Dec 2020 16:26:45 +0100

ros-collada-urdf (1.12.13-1) unstable; urgency=medium

  * New upstream version 1.12.13
  * rebase patches
  * bump debhelper version

 -- Jochen Sprickerhof <jspricke@debian.org>  Thu, 16 Jul 2020 15:50:27 +0200

ros-collada-urdf (1.12.12-3) unstable; urgency=medium

  * Update collada-dom dependency to its new name
  * Added hardening flags
  * Bumped standards version to 4.5.0. No changes

 -- Leopold Palomo-Avellaneda <leo@alaxarxa.net>  Wed, 18 Mar 2020 23:24:52 +0100

=== debian/control ===
--- 
+++ 
@@ -1,19 +1,19 @@
 Source: ros-collada-urdf
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
+Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
 Uploaders: Johannes Schauer <josch@debian.org>,
            Jochen Sprickerhof <jspricke@debian.org>,
            Leopold Palomo-Avellaneda <leo@alaxarxa.net>
-Build-Depends: debhelper-compat (= 12), catkin, ros-cmake-modules,
-	         libtinyxml-dev, libassimp-dev, libcollada-dom2.4-dp-dev,
+Build-Depends: debhelper-compat (= 13), catkin (>= 0.8.10-1~), ros-cmake-modules,
+	         libtinyxml-dev, libassimp-dev, libcollada-dom-dev,
 		 libclass-loader-dev,
 		 librosconsole-dev,
 		 liburdf-dev,
 		 liburdf-parser-plugin-dev,
 		 libangles-dev,
 		 libgeometric-shapes-dev,
-Standards-Version: 4.4.1
+		 libgtest-dev,
+Standards-Version: 4.6.1
 Section: libs
 Rules-Requires-Root: no
 Homepage: https://wiki.ros.org/collada_urdf
@@ -24,7 +24,7 @@
 Section: libdevel
 Architecture: any
 Multi-Arch: same
-Depends: libcollada-parser1d (= ${binary:Version}), ${misc:Depends}, liburdf-parser-plugin-dev, libroscpp-dev, libclass-loader-dev, liburdfdom-headers-dev, libcollada-dom2.4-dp-dev
+Depends: libcollada-parser1d (= ${binary:Version}), ${misc:Depends}, liburdf-parser-plugin-dev, libroscpp-dev, libclass-loader-dev, liburdfdom-headers-dev, libcollada-dom-dev
 Description: Development files for ROS collada_parser library
  This package contains a C++ parser for the Collada robot description format.
  The parser reads a Collada XML robot description, and creates a C++ URDF
@@ -51,7 +51,7 @@
 Section: libdevel
 Architecture: any
 Multi-Arch: same
-Depends: libcollada-urdf1d (= ${binary:Version}), ${misc:Depends}, libangles-dev, libcollada-parser-dev, libresource-retriever-dev, liburdf-dev, libgeometric-shapes-dev, libtf-dev, libassimp-dev, libcollada-dom2.4-dp-dev
+Depends: libcollada-urdf1d (= ${binary:Version}), ${misc:Depends}, libangles-dev, libcollada-parser-dev, libresource-retriever-dev, liburdf-dev, libgeometric-shapes-dev, libtf-dev, libassimp-dev, libcollada-dom-dev
 Description: Development files for ROS collada_urdf library
  This package contains a tool to convert Unified Robot Description Format
  (URDF) documents into COLLAborative Design Activity (COLLADA) documents.

=== debian/rules ===
#!/usr/bin/make -f
export DEB_BUILD_MAINT_OPTIONS = hardening=+all

# for tests
export ROS_HOME=/tmp/ros

%:
	dh $@

override_dh_auto_test:
	make -C obj-$(DEB_HOST_GNU_TYPE) run_tests
	catkin_test_results

=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%@PACKAGE@-$1.tar.gz%" \
    https://github.com/ros/collada_urdf/tags \
    (?:.*?/)?v?(\d[\d.]*)\.tar\.gz
